Jakarta-Regexp 1.5 API: Class REUtil

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.regexp
Class REUtil

    java.lang.Object
      |
      +--org.apache.regexp.REUtil

public class REUtil
extends java.lang.Object

This is a class that contains utility helper methods for this package.

Version:
  $Id: REUtil.java 518156 2007-03-14 14:31:26Z vgritsenko $
Author:
  Jonathan Locke

Field Summary
`private static java.lang.String` | `complexPrefix` complex:

Constructor Summary
`REUtil()`

Method Summary
`static RE` | `createRE(java.lang.String expression)` Creates a regular expression, permitting simple or complex syntax
`static RE` | `createRE(java.lang.String expression, int matchFlags)` Creates a regular expression, permitting simple or complex syntax

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Field Detail

### complexPrefix

    private static final java.lang.String complexPrefix

  complex:

Constructor Detail

### REUtil

    public REUtil()

Method Detail

### createRE

    public static RE createRE(java.lang.String expression,
                              int matchFlags)
                       throws RESyntaxException

  Creates a regular expression, permitting simple or complex syntax
  Parameters:
    `expression` - The expression, beginning with a prefix if it's complex or having no prefix if it's simple
    `matchFlags` - Matching style flags
  Returns:
    The regular expression object
  Throws:
    `RESyntaxException` - thrown in case of error

### createRE

    public static RE createRE(java.lang.String expression)
                       throws RESyntaxException

  Creates a regular expression, permitting simple or complex syntax
  Parameters:
    `expression` - The expression, beginning with a prefix if it's complex or having no prefix if it's simple
  Returns:
    The regular expression object
  Throws:
    `RESyntaxException` - thrown in case of error

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2007 Apache Software Foundation. All Rights Reserved.